Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 232966 - Review Request: perl-Gtk2-Ex-PodViewer - A Gtk2 widget for displaying Plain old Documentation (POD)
Summary: Review Request: perl-Gtk2-Ex-PodViewer - A Gtk2 widget for displaying Plain o...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks: 232399
TreeView+ depends on / blocked
 
Reported: 2007-03-19 18:11 UTC by Bernard Johnson
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-21 07:48:37 UTC
panemade: fedora-review+
petersen: fedora-cvs+


Attachments (Terms of Use)

Description Bernard Johnson 2007-03-19 18:11:05 UTC
Spec URL: http://www.symetrix.com/~bj/projects/Fedora-Extras/perl-Gtk2-Ex-PodViewer.spec
SRPM URL: http://www.symetrix.com/~bj/projects/Fedora-Extras/perl-Gtk2-Ex-PodViewer-0.17-1.fc6.src.rpm
Description: A Gtk2 widget for displaying Plain old Documentation (POD) files.

Comment 1 Parag AN(पराग) 2007-03-21 06:06:47 UTC
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
7996d69ae9e534b4abf51a9c58cbeba7  Gtk2-Ex-PodViewer-0.17.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Provides: perl(Gtk2::Ex::PodViewer) = 0.17 perl(Gtk2::Ex::PodViewer::Parser)
APPROVED.


Comment 2 Bernard Johnson 2007-03-21 06:16:37 UTC
New Package CVS Request
=======================
Package Name: perl-Gtk2-Ex-PodViewer
Short Description: A Gtk2 widget for displaying Plain old Documentation (POD)
Owners: bjohnson@symetrix.com
Branches: FC-5 FC-6
InitialCC: 

Comment 3 Jens Petersen 2007-03-21 07:20:38 UTC
Done.  I added fedora-perl-devel-list@redhat.com to initial CC,
since nearly all perl packages seem to.


Note You need to log in before you can comment on or make changes to this bug.